Subject: Ticket Assigned - Order delivery by landmark group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 09 Nov 2021 12:02:44 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order delivery by landmark group I ordered an online order from Centerpoint Saudi Arabia from 28/10 until now, it has not been delivered. The delivery company contacted me, but they did not deliver the order, and the tracking was updated. It was rejected by the customer and this did not happen. I called customer service three times, twice they said wait and the third time they said I will continue  With the shipping company, and there are recorded calls with the delivery company that I want to receive the order, however, I did not find any interest from customer service to check with the shipping company , order number 6362362176

Sent from Yahoo Mail for iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3337181